Skip to main content
`Ctrl`+`K`

# skycoord_to_pixel

astropy.wcs.utils.skycoord_to_pixel(coords, wcs, origin=0, mode='all')

  Convert a set of SkyCoord coordinates into pixels.

  Parameters:
    coords `SkyCoord`

      The coordinates to convert.

    wcs `WCS`

      The WCS transformation to use.

    origin `python:int`

      Whether to return 0 or 1-based pixel coordinates.

    mode‘all’ or ‘wcs’

      Whether to do the transformation including distortions (`'all'`) or only including only the core WCS transformation (`'wcs'`).

  Returns:
    xp, yp `numpy.ndarray`

      The pixel coordinates

  See also

  `astropy.coordinates.SkyCoord.from_pixel`